Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Streaming media framework 0.10.x
Name:		gstreamer10
Version:	0.10.18
Release:	1
Epoch:		1
Obsoletes:	gstreamer
License:	GNU/GPL 
URL:		http://gstreamer.sourceforge.net
Group:		Video
Source0:	gstreamer-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	glib
Requires:	gtk2+
Requires:	popt
Requires:	libxml2
BuildRequires:	glib-devel
BuildRequires:	libxml2-devel
BuildRequires:	popt
BuildRequires:	pkg-config
BuildRequires:	gettext
BuildRequires:	docbook-xml-dtd
BuildRequires:	gtk-doc 

%define 	majorver  0.10

%description
GStreamer is a library that allows the construction of graphs
of media-handling components, ranging from simple Ogg/Vorbis
playback to complex audio (mixing) and video (non-linear editing)
processing. Applications can take advantage of advances in codec
and filter technology transparently. Developers can add new
codecs and filters by writing a simple plugin with a clean,
generic interface. This is the 0.10.x incarnation of gstreamer
which installs in parallel to the 0.8.x version.

%package	devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	gstreamer-devel

%description	devel
Header and include files for developing applications with %{name}.

%package	doc
Summary:	%{name} documents.
Group: 		%{group}            
Requires: 	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	gstreamer-doc

%description	doc
%{name} documents.

%post
ldconfig
env DISPLAY=%_bindir/gst-register-%{majorver} 1>/dev/null 2>&1

%postun
ldconfig

%prep
%setup -n gstreamer-%{version}
sed -i "s#http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd#/usr/share/xml/docbook/xml-dtd-4.2/docbookx.dtd#" docs/gst/gstreamer-docs.sgml
sed -i "s#http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd#/usr/share/xml/docbook/xml-dtd-4.2/docbookx.dtd#" docs/libs/gstreamer-libs-docs.sgml

%build
./configure \
--prefix=%_prefix \
--mandir=%_mandir \
--with-configdir=%_sysconfdir/gstreamer \
--disable-tests \
--disable-examples \
--with-cachedir=%_localstatedir/cache/gstreamer-%{majorver}
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -Rf $RPM_BUILD_ROOT%_datadir/doc/gstreamer-%{version}
mkdir -p $RPM_BUILD_ROOT%_datadir/doc/gstreamer-%{majorver}/{gst,libs,plugins}/html
mv docs/gst/html/* $RPM_BUILD_ROOT%_datadir/doc/gstreamer-%{majorver}/gst/html
mv docs/libs/html/* $RPM_BUILD_ROOT%_datadir/doc/gstreamer-%{majorver}/libs/html
mv docs/plugins/html/* $RPM_BUILD_ROOT%_datadir/doc/gstreamer-%{majorver}/plugins/html
install -m 755 -d $RPM_BUILD_ROOT%_localstatedir/cache/gstreamer-%{majorver}
# stripping package
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir/
%_libdir/gstreamer-%{majorver}/*.so
%_libdir/*.so.*
%_datadir/locale/
%_mandir
%dir %_localstatedir/cache/gstreamer-%{majorver}

%files doc
%defattr(-,root,root)
%_datadir/doc
%_datadir/gtk-doc

%files devel
%defattr(-,root,root)
%_libdir/*.so
%_pkgconfig
%_aclocal
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/gstreamer-%{majorver}/*.a
%_libdir/gstreamer-%{majorver}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Mar 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.10.18-1
- Version update
* Sun Feb 03 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.10.17-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 0.10.14-1
- Version Update
* Tue Mar 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.10.12-1
- Version Update
* Sun Sep 17 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.10.10-1
- Version Update
* Tue Aug 22 2006 Christian Metzen <metzench@ccux-linux.de> 0.10.9-3
- Fixed requires for devel and doc package
* Mon Aug 07 2006 Christian Metzen <metzench@ccux-linux.de> 0.10.9-2
- Added obsoletes for gstreamer because of conflicting files
* Sat Jul 22 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.10.9-1
- Version update
* Sun May 07 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.10.5-1
- Version Update
* Sat Mar 11 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.10.4-1
- Initial Release, to large extends based on Gottis gstreamer-08 spec
